Index: trunk/source/geometry/management/History
===================================================================
--- trunk/source/geometry/management/History	(revision 1202)
+++ trunk/source/geometry/management/History	(revision 1228)
@@ -1,3 +1,3 @@
-$Id: History,v 1.131 2008/09/23 13:10:55 gcosmo Exp $
+$Id: History,v 1.138 2009/11/27 16:34:53 gcosmo Exp $
 -------------------------------------------------------------------
 
@@ -17,4 +17,29 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+
+November 27, 2009  G.Cosmo                 geommng-V09-02-05
+- G4Region: added pointer to field-manager and associated accessor/modifier.
+
+November 6, 2009  G.Cosmo                  geommng-V09-02-04
+- G4VTouchable: moved inline vitual methods, constructor and destructor to
+  source, to avoid problem of memory alignment in allocation of derived objects.
+
+October 30, 2009  G.Cosmo                  geommng-V09-02-03
+- Clear possible excess capacity in node vectors in G4SmartVoxelHeader
+  BuildNodes() method. May reduce excess memory allocated in optimisation
+  in large detector setups, with slight time increase in initialisation for
+  geometry voxelisation.
+
+September 24, 2009  G.Cosmo                geommng-V09-02-02
+- Fixed implementation of G4LogicalVolume::TotalVolumeEntities() to become
+  invariant to call sequence.
+
+May 25, 2009  G.Cosmo                      geommng-V09-02-01
+- Fixed initialisation of min/max extent in method BuildReplicaVoxels() in
+  G4SmartVoxelHeader.
+
+April 16, 2009  G.Cosmo                    geommng-V09-02-00
+- Adopt 'const' references for strings as arguments/return-values in
+  G4LogicalSurface. Some minor cleanup...
 
 September 23, 2008  G. Cosmo               geommng-V09-01-08
Index: trunk/source/geometry/management/include/G4AffineTransform.hh
===================================================================
--- trunk/source/geometry/management/include/G4AffineTransform.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4AffineTransform.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4AffineTransform.hh,v 1.6 2006/06/29 18:30:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/include/G4AffineTransform.icc
===================================================================
--- trunk/source/geometry/management/include/G4AffineTransform.icc	(revision 1202)
+++ trunk/source/geometry/management/include/G4AffineTransform.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4AffineTransform.icc,v 1.8 2006/06/29 18:30:39 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/include/G4BlockingList.hh
===================================================================
--- trunk/source/geometry/management/include/G4BlockingList.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4BlockingList.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BlockingList.hh,v 1.4 2006/06/29 18:30:41 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4BlockingList
Index: trunk/source/geometry/management/include/G4BlockingList.icc
===================================================================
--- trunk/source/geometry/management/include/G4BlockingList.icc	(revision 1202)
+++ trunk/source/geometry/management/include/G4BlockingList.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BlockingList.icc,v 1.3 2006/06/29 18:30:43 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/include/G4ErrorCylSurfaceTarget.hh
===================================================================
--- trunk/source/geometry/management/include/G4ErrorCylSurfaceTarget.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4ErrorCylSurfaceTarget.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorCylSurfaceTarget.hh,v 1.1 2007/05/16 12:50:52 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/include/G4ErrorPlaneSurfaceTarget.hh
===================================================================
--- trunk/source/geometry/management/include/G4ErrorPlaneSurfaceTarget.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4ErrorPlaneSurfaceTarget.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorPlaneSurfaceTarget.hh,v 1.1 2007/05/16 12:50:52 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/include/G4ErrorSurfaceTarget.hh
===================================================================
--- trunk/source/geometry/management/include/G4ErrorSurfaceTarget.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4ErrorSurfaceTarget.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorSurfaceTarget.hh,v 1.1 2007/05/16 12:50:52 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/include/G4ErrorTanPlaneTarget.hh
===================================================================
--- trunk/source/geometry/management/include/G4ErrorTanPlaneTarget.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4ErrorTanPlaneTarget.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorTanPlaneTarget.hh,v 1.1 2007/05/16 12:50:52 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/include/G4ErrorTarget.hh
===================================================================
--- trunk/source/geometry/management/include/G4ErrorTarget.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4ErrorTarget.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorTarget.hh,v 1.1 2007/05/16 12:50:52 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/include/G4GeometryManager.hh
===================================================================
--- trunk/source/geometry/management/include/G4GeometryManager.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4GeometryManager.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GeometryManager.hh,v 1.12 2007/05/11 13:30:12 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4GeometryManager
Index: trunk/source/geometry/management/include/G4IdentityTrajectoryFilter.hh
===================================================================
--- trunk/source/geometry/management/include/G4IdentityTrajectoryFilter.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4IdentityTrajectoryFilter.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4IdentityTrajectoryFilter.hh,v 1.3 2006/06/29 18:30:48 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/include/G4LogicalSurface.hh
===================================================================
--- trunk/source/geometry/management/include/G4LogicalSurface.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4LogicalSurface.hh	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4LogicalSurface.hh,v 1.10 2006/06/29 18:30:50 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4LogicalSurface.hh,v 1.11 2009/04/21 15:18:15 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 ////////////////////////////////////////////////////////////////////////
@@ -86,25 +86,23 @@
    void     SetSurfaceProperty(G4SurfaceProperty* ptrSurfaceProperty);
 
-   G4String GetName() const;
+   const G4String& GetName() const;
    void     SetName(const G4String& name);
 
    G4TransitionRadiationSurface*  GetTransitionRadiationSurface() const;
-   void SetTransitionRadiationSurface(G4TransitionRadiationSurface* transRadSurf);
+   void SetTransitionRadiationSurface(G4TransitionRadiationSurface* tRadSurf);
+
+ public:  // without description
+
+   virtual ~G4LogicalSurface();
+
+   G4int operator==(const G4LogicalSurface &right) const;
+   G4int operator!=(const G4LogicalSurface &right) const;
 
  protected:
 
-        // There should be no instances of this class
+   // There should be no instances of this class
 
-   G4LogicalSurface(const G4String&         name,
-                    G4SurfaceProperty* surfaceProperty); 
-        // Is the name more meaningful for the properties or the logical
-        // surface ?  
-
- public:
-   virtual ~G4LogicalSurface();
-
- public:
-   G4int operator==(const G4LogicalSurface &right) const;
-   G4int operator!=(const G4LogicalSurface &right) const;
+   G4LogicalSurface(const G4String& name, G4SurfaceProperty* surfaceProperty); 
+     // Is the name more meaningful for the properties or the logical surface ?
 
  private:
@@ -117,5 +115,5 @@
    G4String theName;              // Surface name
 
-   G4SurfaceProperty*              theSurfaceProperty;
+   G4SurfaceProperty*             theSurfaceProperty;
    G4TransitionRadiationSurface*  theTransRadSurface;
 };
Index: trunk/source/geometry/management/include/G4LogicalSurface.icc
===================================================================
--- trunk/source/geometry/management/include/G4LogicalSurface.icc	(revision 1202)
+++ trunk/source/geometry/management/include/G4LogicalSurface.icc	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4LogicalSurface.icc,v 1.9 2006/06/29 18:30:52 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4LogicalSurface.icc,v 1.10 2009/04/21 15:18:15 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 ////////////////////////////////////////////////////////////////////////
@@ -51,5 +51,5 @@
 } 
 
-inline G4String
+inline const G4String&
 G4LogicalSurface::GetName() const
 {
@@ -110,6 +110,5 @@
 inline G4LogicalSurface::G4LogicalSurface(const G4String&         name,
                                          G4SurfaceProperty* surfaceProperty) 
-                : theName(name),
-                  theSurfaceProperty(surfaceProperty)
+  : theName(name), theSurfaceProperty(surfaceProperty)
 {
 }
Index: trunk/source/geometry/management/include/G4LogicalVolume.hh
===================================================================
--- trunk/source/geometry/management/include/G4LogicalVolume.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4LogicalVolume.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LogicalVolume.hh,v 1.27 2008/07/10 09:40:08 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/management/include/G4LogicalVolume.icc
===================================================================
--- trunk/source/geometry/management/include/G4LogicalVolume.icc	(revision 1202)
+++ trunk/source/geometry/management/include/G4LogicalVolume.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LogicalVolume.icc,v 1.25 2008/07/10 09:40:08 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/management/include/G4LogicalVolumeStore.hh
===================================================================
--- trunk/source/geometry/management/include/G4LogicalVolumeStore.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4LogicalVolumeStore.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LogicalVolumeStore.hh,v 1.13 2007/04/10 10:13:50 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4LogicalVolumeStore
Index: trunk/source/geometry/management/include/G4PhysicalVolumeStore.hh
===================================================================
--- trunk/source/geometry/management/include/G4PhysicalVolumeStore.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4PhysicalVolumeStore.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PhysicalVolumeStore.hh,v 1.16 2008/07/10 09:41:20 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4PhysicalVolume
Index: trunk/source/geometry/management/include/G4ReflectedSolid.hh
===================================================================
--- trunk/source/geometry/management/include/G4ReflectedSolid.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4ReflectedSolid.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ReflectedSolid.hh,v 1.5 2006/06/29 18:31:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/include/G4Region.hh
===================================================================
--- trunk/source/geometry/management/include/G4Region.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4Region.hh	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Region.hh,v 1.20 2008/07/10 09:46:01 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4Region.hh,v 1.21 2009/11/27 16:34:37 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4Region
@@ -48,4 +48,5 @@
 class G4MaterialCutsCouple;
 class G4UserLimits;
+class G4FieldManager;
 class G4FastSimulationManager;
 class G4VPhysicalVolume;
@@ -144,4 +145,11 @@
       // if it exists. Otherwise set to null.
 
+    inline void SetFieldManager(G4FieldManager* fm);
+    inline G4FieldManager* GetFieldManager() const;
+      // Set and Get methods for G4FieldManager.
+      // The region with assigned field-manager sets the field to the
+      // geometrical area associated with it; priority is anyhow given
+      // to local fields eventually set to logical volumes.
+
     inline G4VPhysicalVolume* GetWorldPhysical() const;
       // Get method for the world physical volume which this region
@@ -199,4 +207,5 @@
     G4VUserRegionInformation* fUserInfo;
     G4UserLimits* fUserLimits;
+    G4FieldManager* fFieldManager;
 
     G4FastSimulationManager* fFastSimulationManager;
Index: trunk/source/geometry/management/include/G4Region.icc
===================================================================
--- trunk/source/geometry/management/include/G4Region.icc	(revision 1202)
+++ trunk/source/geometry/management/include/G4Region.icc	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Region.icc,v 1.15 2007/04/28 01:48:29 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4Region.icc,v 1.16 2009/11/27 16:34:37 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
@@ -247,4 +247,24 @@
 {
   return fFastSimulationManager;
+}
+
+// ********************************************************************
+// GetFieldManager
+// ********************************************************************
+//
+inline 
+G4FieldManager* G4Region::GetFieldManager() const
+{
+  return fFieldManager;
+}
+
+// ********************************************************************
+// SetFieldManager
+// ********************************************************************
+//
+inline
+void G4Region::SetFieldManager(G4FieldManager* fm)
+{
+  fFieldManager = fm;
 }
 
Index: trunk/source/geometry/management/include/G4RegionStore.hh
===================================================================
--- trunk/source/geometry/management/include/G4RegionStore.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4RegionStore.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RegionStore.hh,v 1.10 2006/11/30 10:39:28 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4RegionStore
Index: trunk/source/geometry/management/include/G4SmartVoxelHeader.hh
===================================================================
--- trunk/source/geometry/management/include/G4SmartVoxelHeader.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4SmartVoxelHeader.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SmartVoxelHeader.hh,v 1.10 2006/06/29 18:32:06 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4SmartVoxelHeader
Index: trunk/source/geometry/management/include/G4SmartVoxelHeader.icc
===================================================================
--- trunk/source/geometry/management/include/G4SmartVoxelHeader.icc	(revision 1202)
+++ trunk/source/geometry/management/include/G4SmartVoxelHeader.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SmartVoxelHeader.icc,v 1.6 2006/06/29 18:32:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/include/G4SmartVoxelNode.hh
===================================================================
--- trunk/source/geometry/management/include/G4SmartVoxelNode.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4SmartVoxelNode.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SmartVoxelNode.hh,v 1.12 2008/01/24 15:47:23 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4SmartVoxelNode
Index: trunk/source/geometry/management/include/G4SmartVoxelNode.icc
===================================================================
--- trunk/source/geometry/management/include/G4SmartVoxelNode.icc	(revision 1202)
+++ trunk/source/geometry/management/include/G4SmartVoxelNode.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SmartVoxelNode.icc,v 1.7 2008/01/24 15:47:23 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/include/G4SmartVoxelProxy.hh
===================================================================
--- trunk/source/geometry/management/include/G4SmartVoxelProxy.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4SmartVoxelProxy.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SmartVoxelProxy.hh,v 1.8 2006/06/29 18:32:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4SmartVoxelProxy
Index: trunk/source/geometry/management/include/G4SmartVoxelProxy.icc
===================================================================
--- trunk/source/geometry/management/include/G4SmartVoxelProxy.icc	(revision 1202)
+++ trunk/source/geometry/management/include/G4SmartVoxelProxy.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SmartVoxelProxy.icc,v 1.4 2006/06/29 18:32:19 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/include/G4SmartVoxelStat.hh
===================================================================
--- trunk/source/geometry/management/include/G4SmartVoxelStat.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4SmartVoxelStat.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4SmartVoxelStat.hh,v 1.4 2006/06/29 18:32:21 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/management/include/G4SolidStore.hh
===================================================================
--- trunk/source/geometry/management/include/G4SolidStore.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4SolidStore.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SolidStore.hh,v 1.13 2007/04/10 10:13:50 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4SolidStore
Index: trunk/source/geometry/management/include/G4TouchableHandle.hh
===================================================================
--- trunk/source/geometry/management/include/G4TouchableHandle.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4TouchableHandle.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TouchableHandle.hh,v 1.6 2006/06/29 18:32:25 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // Class G4TouchableHandle
Index: trunk/source/geometry/management/include/G4VCurvedTrajectoryFilter.hh
===================================================================
--- trunk/source/geometry/management/include/G4VCurvedTrajectoryFilter.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4VCurvedTrajectoryFilter.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VCurvedTrajectoryFilter.hh,v 1.3 2006/06/29 18:32:27 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/include/G4VNestedParameterisation.hh
===================================================================
--- trunk/source/geometry/management/include/G4VNestedParameterisation.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4VNestedParameterisation.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VNestedParameterisation.hh,v 1.6 2006/06/29 18:32:29 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4VNestedParameterisation
Index: trunk/source/geometry/management/include/G4VPVDivisionFactory.hh
===================================================================
--- trunk/source/geometry/management/include/G4VPVDivisionFactory.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4VPVDivisionFactory.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPVDivisionFactory.hh,v 1.2 2006/06/29 18:32:31 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/include/G4VPVParameterisation.hh
===================================================================
--- trunk/source/geometry/management/include/G4VPVParameterisation.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4VPVParameterisation.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPVParameterisation.hh,v 1.13 2007/07/16 08:40:13 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4VPVParamterisation
Index: trunk/source/geometry/management/include/G4VPhysicalVolume.hh
===================================================================
--- trunk/source/geometry/management/include/G4VPhysicalVolume.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4VPhysicalVolume.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPhysicalVolume.hh,v 1.17 2007/04/11 08:00:12 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/include/G4VPhysicalVolume.icc
===================================================================
--- trunk/source/geometry/management/include/G4VPhysicalVolume.icc	(revision 1202)
+++ trunk/source/geometry/management/include/G4VPhysicalVolume.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPhysicalVolume.icc,v 1.10 2006/06/29 18:32:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/include/G4VSolid.hh
===================================================================
--- trunk/source/geometry/management/include/G4VSolid.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4VSolid.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VSolid.hh,v 1.29 2008/09/10 13:18:42 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/management/include/G4VSolid.icc
===================================================================
--- trunk/source/geometry/management/include/G4VSolid.icc	(revision 1202)
+++ trunk/source/geometry/management/include/G4VSolid.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VSolid.icc,v 1.9 2007/05/11 13:30:12 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/management/include/G4VStoreNotifier.hh
===================================================================
--- trunk/source/geometry/management/include/G4VStoreNotifier.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4VStoreNotifier.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VStoreNotifier.hh,v 1.3 2006/06/29 18:33:02 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4VStoreNotifier
Index: trunk/source/geometry/management/include/G4VTouchable.hh
===================================================================
--- trunk/source/geometry/management/include/G4VTouchable.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4VTouchable.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VTouchable.hh,v 1.9 2006/06/29 18:33:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/management/include/G4VTouchable.icc
===================================================================
--- trunk/source/geometry/management/include/G4VTouchable.icc	(revision 1202)
+++ trunk/source/geometry/management/include/G4VTouchable.icc	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VTouchable.icc,v 1.9 2006/06/29 18:33:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4VTouchable.icc,v 1.10 2009/11/06 10:36:00 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
@@ -34,72 +34,6 @@
 
 inline
-G4VTouchable::G4VTouchable()
-{
-}
-
-inline
-G4VTouchable::~G4VTouchable()
-{
-}
-
-inline
-G4VPhysicalVolume* G4VTouchable::GetVolume(G4int) const
-{
-  G4Exception("G4VTouchable::GetVolume()", "NotApplicable",
-              FatalException, "Undefined call to base class.");
-  return 0;
-}
-
-inline
-G4VSolid* G4VTouchable::GetSolid(G4int) const
-{
-  G4Exception("G4VTouchable::GetSolid()", "NotApplicable",
-              FatalException, "Undefined call to base class.");
-  return 0;
-}
-
-inline
-G4int G4VTouchable::GetReplicaNumber(G4int) const
-{
-  G4Exception("G4VTouchable::GetReplicaNumber()", "NotApplicable",
-              FatalException, "Undefined call to base class.");
-  return 0;
-}
-
-inline
 G4int G4VTouchable::GetCopyNumber(G4int depth) const
 {
   return GetReplicaNumber(depth);
 }
-
-inline
-G4int G4VTouchable::MoveUpHistory(G4int)
-{
-  G4Exception("G4VTouchable::MoveUpHistory()", "NotApplicable",
-              FatalException, "Undefined call to base class.");
-  return 0;
-}
-
-inline
-void G4VTouchable::UpdateYourself(G4VPhysicalVolume*,
-			          const G4NavigationHistory* ) 
-{
-  G4Exception("G4VTouchable::UpdateYourself()", "NotApplicable",
-              FatalException, "Undefined call to base class.");
-}
-
-inline
-G4int G4VTouchable::GetHistoryDepth() const
-{
-  G4Exception("G4VTouchable::GetHistoryDepth()", "NotApplicable",
-              FatalException, "Undefined call to base class.");
-  return  0;
-}
-
-inline
-const G4NavigationHistory* G4VTouchable::GetHistory() const
-{
-  G4Exception("G4VTouchable::GetHistory()", "NotApplicable",
-              FatalException, "Undefined call to base class.");
-  return 0;
-}
Index: trunk/source/geometry/management/include/G4VUserRegionInformation.hh
===================================================================
--- trunk/source/geometry/management/include/G4VUserRegionInformation.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4VUserRegionInformation.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VUserRegionInformation.hh,v 1.4 2006/06/29 18:33:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/include/G4VVolumeMaterialScanner.hh
===================================================================
--- trunk/source/geometry/management/include/G4VVolumeMaterialScanner.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4VVolumeMaterialScanner.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VVolumeMaterialScanner.hh,v 1.4 2006/06/29 18:33:11 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4VVolumeMaterialScanner
Index: trunk/source/geometry/management/include/G4VoxelLimits.hh
===================================================================
--- trunk/source/geometry/management/include/G4VoxelLimits.hh	(revision 1202)
+++ trunk/source/geometry/management/include/G4VoxelLimits.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VoxelLimits.hh,v 1.9 2006/06/29 18:33:13 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4VoxelLimits
Index: trunk/source/geometry/management/include/G4VoxelLimits.icc
===================================================================
--- trunk/source/geometry/management/include/G4VoxelLimits.icc	(revision 1202)
+++ trunk/source/geometry/management/include/G4VoxelLimits.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VoxelLimits.icc,v 1.4 2006/06/29 18:33:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/management/include/meshdefs.hh
===================================================================
--- trunk/source/geometry/management/include/meshdefs.hh	(revision 1202)
+++ trunk/source/geometry/management/include/meshdefs.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: meshdefs.hh,v 1.7 2006/06/29 18:33:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/include/voxeldefs.hh
===================================================================
--- trunk/source/geometry/management/include/voxeldefs.hh	(revision 1202)
+++ trunk/source/geometry/management/include/voxeldefs.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: voxeldefs.hh,v 1.7 2006/06/29 18:33:19 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/src/G4BlockingList.cc
===================================================================
--- trunk/source/geometry/management/src/G4BlockingList.cc	(revision 1202)
+++ trunk/source/geometry/management/src/G4BlockingList.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BlockingList.cc,v 1.3 2006/06/29 18:33:21 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/src/G4ErrorCylSurfaceTarget.cc
===================================================================
--- trunk/source/geometry/management/src/G4ErrorCylSurfaceTarget.cc	(revision 1202)
+++ trunk/source/geometry/management/src/G4ErrorCylSurfaceTarget.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorCylSurfaceTarget.cc,v 1.4 2007/06/20 12:50:48 arce Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/src/G4ErrorPlaneSurfaceTarget.cc
===================================================================
--- trunk/source/geometry/management/src/G4ErrorPlaneSurfaceTarget.cc	(revision 1202)
+++ trunk/source/geometry/management/src/G4ErrorPlaneSurfaceTarget.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorPlaneSurfaceTarget.cc,v 1.2 2007/06/19 11:28:39 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/src/G4ErrorSurfaceTarget.cc
===================================================================
--- trunk/source/geometry/management/src/G4ErrorSurfaceTarget.cc	(revision 1202)
+++ trunk/source/geometry/management/src/G4ErrorSurfaceTarget.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorSurfaceTarget.cc,v 1.1 2007/05/16 12:50:52 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/src/G4ErrorTanPlaneTarget.cc
===================================================================
--- trunk/source/geometry/management/src/G4ErrorTanPlaneTarget.cc	(revision 1202)
+++ trunk/source/geometry/management/src/G4ErrorTanPlaneTarget.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorTanPlaneTarget.cc,v 1.1 2007/05/16 12:50:52 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/src/G4ErrorTarget.cc
===================================================================
--- trunk/source/geometry/management/src/G4ErrorTarget.cc	(revision 1202)
+++ trunk/source/geometry/management/src/G4ErrorTarget.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorTarget.cc,v 1.1 2007/05/16 12:50:52 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/management/src/G4GeometryManager.cc
===================================================================
--- trunk/source/geometry/management/src/G4GeometryManager.cc	(revision 1202)
+++ trunk/source/geometry/management/src/G4GeometryManager.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GeometryManager.cc,v 1.22 2008/05/16 13:46:48 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4GeometryManager
Index: trunk/source/geometry/management/src/G4IdentityTrajectoryFilter.cc
===================================================================
--- trunk/source/geometry/management/src/G4IdentityTrajectoryFilter.cc	(revision 1202)
+++ trunk/source/geometry/management/src/G4IdentityTrajectoryFilter.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4IdentityTrajectoryFilter.cc,v 1.4 2006/10/02 10:09:24 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ------------------------------------------------------------------------
Index: trunk/source/geometry/management/src/G4LogicalVolume.cc
===================================================================
--- trunk/source/geometry/management/src/G4LogicalVolume.cc	(revision 1202)
+++ trunk/source/geometry/management/src/G4LogicalVolume.cc	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4LogicalVolume.cc,v 1.33 2008/07/10 09:40:09 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4LogicalVolume.cc,v 1.34 2009/09/24 13:22:57 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
@@ -162,15 +162,11 @@
 G4int G4LogicalVolume::TotalVolumeEntities() const
 {
-  static G4int vols = 0;
-
-  vols++;
+  G4int vols = 1;
   for (G4PhysicalVolumeList::const_iterator itDau = fDaughters.begin();
        itDau != fDaughters.end(); itDau++)
   {
     G4VPhysicalVolume* physDaughter = (*itDau);
-    for (G4int i=0; i<physDaughter->GetMultiplicity(); i++)
-    {
-      physDaughter->GetLogicalVolume()->TotalVolumeEntities();
-    }
+    vols += physDaughter->GetMultiplicity()
+           *physDaughter->GetLogicalVolume()->TotalVolumeEntities();
   }
   return vols;
Index: trunk/source/geometry/management/src/G4LogicalVolumeStore.cc
===================================================================
--- trunk/source/geometry/management/src/G4LogicalVolumeStore.cc	(revision 1202)
+++ trunk/source/geometry/management/src/G4LogicalVolumeStore.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LogicalVolumeStore.cc,v 1.19 2008/07/10 09:40:09 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4LogicalVolumeStore
Index: trunk/source/geometry/management/src/G4PhysicalVolumeStore.cc
===================================================================
--- trunk/source/geometry/management/src/G4PhysicalVolumeStore.cc	(revision 1202)
+++ trunk/source/geometry/management/src/G4PhysicalVolumeStore.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PhysicalVolumeStore.cc,v 1.20 2008/07/10 09:41:20 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PhysicalVolumeStore
Index: trunk/source/geometry/management/src/G4ReflectedSolid.cc
===================================================================
--- trunk/source/geometry/management/src/G4ReflectedSolid.cc	(revision 1202)
+++ trunk/source/geometry/management/src/G4ReflectedSolid.cc	(revision 1228)
@@ -27,5 +27,5 @@
 // $Id: G4ReflectedSolid.cc,v 1.11 2006/11/08 09:56:33 gcosmo Exp $
 //
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Implementation for G4ReflectedSolid class for boolean 
Index: trunk/source/geometry/management/src/G4Region.cc
===================================================================
--- trunk/source/geometry/management/src/G4Region.cc	(revision 1202)
+++ trunk/source/geometry/management/src/G4Region.cc	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Region.cc,v 1.26 2008/07/15 10:27:36 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4Region.cc,v 1.27 2009/11/27 16:34:37 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
@@ -48,5 +48,6 @@
 G4Region::G4Region(const G4String& pName)
   : fName(pName), fRegionMod(true), fCut(0), fUserInfo(0), fUserLimits(0),
-    fFastSimulationManager(0), fWorldPhys(0), fRegionalSteppingAction(0)
+    fFieldManager(0), fFastSimulationManager(0), fWorldPhys(0),
+    fRegionalSteppingAction(0)
 {
   G4RegionStore* rStore = G4RegionStore::GetInstance();
@@ -72,5 +73,6 @@
 G4Region::G4Region( __void__& )
   : fName(""), fRegionMod(true), fCut(0), fUserInfo(0), fUserLimits(0),
-    fFastSimulationManager(0), fWorldPhys(0), fRegionalSteppingAction(0)
+    fFieldManager(0), fFastSimulationManager(0), fWorldPhys(0),
+    fRegionalSteppingAction(0)
 {
   // Register to store
Index: trunk/source/geometry/management/src/G4RegionStore.cc
===================================================================
--- trunk/source/geometry/management/src/G4RegionStore.cc	(revision 1202)
+++ trunk/source/geometry/management/src/G4RegionStore.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RegionStore.cc,v 1.14 2008/07/10 09:46:01 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4RegionStore
Index: trunk/source/geometry/management/src/G4SmartVoxelHeader.cc
===================================================================
--- trunk/source/geometry/management/src/G4SmartVoxelHeader.cc	(revision 1202)
+++ trunk/source/geometry/management/src/G4SmartVoxelHeader.cc	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4SmartVoxelHeader.cc,v 1.31 2008/01/24 15:46:47 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4SmartVoxelHeader.cc,v 1.34 2009/10/30 14:05:47 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
@@ -366,10 +366,10 @@
         // Sanity check on extent
         //
-        G4double min, max;
+        G4double emin = kInfinity, emax = -kInfinity;
         G4VoxelLimits limits;
         G4AffineTransform origin;
-        pVolume->GetSolid()->CalculateExtent(axis, limits, origin, min, max);
-        if ( (std::fabs((min-fminExtent)/fminExtent) +
-              std::fabs((max-fmaxExtent)/fmaxExtent)) > 0.05)
+        pVolume->GetSolid()->CalculateExtent(axis, limits, origin, emin, emax);
+        if ( (std::fabs((emin-fminExtent)/fminExtent) +
+              std::fabs((emax-fmaxExtent)/fmaxExtent)) > 0.05)
         {
           G4cerr << "ERROR - G4SmartVoxelHeader::BuildReplicaVoxels()"
@@ -1038,4 +1038,7 @@
   for (nNode=0; nNode<noNodes; nNode++)
   {
+    // Get rid of possible excess capacity in the internal node vector
+    //
+    ((*nodeList)[nNode])->Shrink();
     G4SmartVoxelProxy* pProxyNode = new G4SmartVoxelProxy((*nodeList)[nNode]);
     if (!pProxyNode)
Index: trunk/source/geometry/management/src/G4SmartVoxelNode.cc
===================================================================
--- trunk/source/geometry/management/src/G4SmartVoxelNode.cc	(revision 1202)
+++ trunk/source/geometry/management/src/G4SmartVoxelNode.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SmartVoxelNode.cc,v 1.6 2006/06/29 18:33:45 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Class G4SmartVoxelNode
Index: trunk/source/geometry/management/src/G4SmartVoxelProxy.cc
===================================================================
--- trunk/source/geometry/management/src/G4SmartVoxelProxy.cc	(revision 1202)
+++ trunk/source/geometry/management/src/G4SmartVoxelProxy.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SmartVoxelProxy.cc,v 1.3 2006/06/29 18:33:48 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Class G4SmartVoxelProxy
Index: trunk/source/geometry/management/src/G4SmartVoxelStat.cc
===================================================================
--- trunk/source/geometry/management/src/G4SmartVoxelStat.cc	(revision 1202)
+++ trunk/source/geometry/management/src/G4SmartVoxelStat.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SmartVoxelStat.cc,v 1.3 2006/06/29 18:33:50 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/management/src/G4SolidStore.cc
===================================================================
--- trunk/source/geometry/management/src/G4SolidStore.cc	(revision 1202)
+++ trunk/source/geometry/management/src/G4SolidStore.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SolidStore.cc,v 1.17 2007/04/10 10:13:50 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4SolidStore
Index: trunk/source/geometry/management/src/G4VCurvedTrajectoryFilter.cc
===================================================================
--- trunk/source/geometry/management/src/G4VCurvedTrajectoryFilter.cc	(revision 1202)
+++ trunk/source/geometry/management/src/G4VCurvedTrajectoryFilter.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VCurvedTrajectoryFilter.cc,v 1.3 2006/06/29 18:33:56 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 // --------------------------------------------------------------------
 
Index: trunk/source/geometry/management/src/G4VNestedParameterisation.cc
===================================================================
--- trunk/source/geometry/management/src/G4VNestedParameterisation.cc	(revision 1202)
+++ trunk/source/geometry/management/src/G4VNestedParameterisation.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VNestedParameterisation.cc,v 1.6 2006/06/29 18:33:59 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4VNestedParameterisation implementation
Index: trunk/source/geometry/management/src/G4VPVDivisionFactory.cc
===================================================================
--- trunk/source/geometry/management/src/G4VPVDivisionFactory.cc	(revision 1202)
+++ trunk/source/geometry/management/src/G4VPVDivisionFactory.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPVDivisionFactory.cc,v 1.2 2006/06/29 18:34:02 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4VPVDivisionFactory Implementation file
Index: trunk/source/geometry/management/src/G4VPVParameterisation.cc
===================================================================
--- trunk/source/geometry/management/src/G4VPVParameterisation.cc	(revision 1202)
+++ trunk/source/geometry/management/src/G4VPVParameterisation.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPVParameterisation.cc,v 1.8 2007/07/16 08:40:13 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Default implementations for Parameterisations that do not
Index: trunk/source/geometry/management/src/G4VPhysicalVolume.cc
===================================================================
--- trunk/source/geometry/management/src/G4VPhysicalVolume.cc	(revision 1202)
+++ trunk/source/geometry/management/src/G4VPhysicalVolume.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPhysicalVolume.cc,v 1.14 2007/04/11 08:00:12 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/management/src/G4VSolid.cc
===================================================================
--- trunk/source/geometry/management/src/G4VSolid.cc	(revision 1202)
+++ trunk/source/geometry/management/src/G4VSolid.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VSolid.cc,v 1.39 2008/09/23 13:07:41 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4VSolid
Index: trunk/source/geometry/management/src/G4VoxelLimits.cc
===================================================================
--- trunk/source/geometry/management/src/G4VoxelLimits.cc	(revision 1202)
+++ trunk/source/geometry/management/src/G4VoxelLimits.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VoxelLimits.cc,v 1.11 2006/06/29 18:34:11 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4VoxelLimits
